#
# Conditional build
%bcond_without  doc		# generated documentation
%bcond_without  static_libs	# static library
%bcond_without  tests		# unit tests
#
Summary:	A strictly RFC 3986 compliant URI parsing library
Summary(pl.UTF-8):	Biblioteka analizująca URI ściśle zgodne z RFC 3986
Name:		uriparser
Version:	0.9.3
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/uriparser/uriparser/releases
Source0:	https://github.com/uriparser/uriparser/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	395113a381c47d55e00bccdb5cb6a2da
Patch0:		%{name}-doxygen.patch
URL:		https://uriparser.github.io/
BuildRequires:	cmake >= 3.3
%{?with_tests:BuildRequires:	gtest-devel >= 1.8.1-3}
%if %{with doc}
BuildRequires:	doxygen
BuildRequires:	graphviz
%endif
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
uriparser is a strictly RFC 3986 compliant URI parsing library.
uriparser is cross-platform, fast, supports Unicode.

%description -l pl.UTF-8
uriparser to biblioteka analizująca URI ściśle zgodne z RFC 3986. Jest
wieloplatformowa, szybka i obsługuje Unicode.

%package devel
Summary:	Header files for uriparser
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki uriparser
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for uriparser.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki uriparser.

%package static
Summary:	Static uriparser library
Summary(pl.UTF-8):	Statyczna biblioteka uriparser
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static uriparser library.

%description static -l pl.UTF-8
Statyczna biblioteka uriparser.

%prep
%setup -q
%patch0 -p1

%build
%if %{with static_libs}
install -d build-static
cd build-static
%cmake .. \
	-DBUILD_SHARED_LIBS=OFF \
	-DURIPARSER_BUILD_DOCS=OFF \
	-DURIPARSER_BUILD_TESTS=OFF \
	-DURIPARSER_BUILD_TOOLS=OFF

%{__make}
cd ..
%endif

install -d build
cd build
%cmake .. \
	%{!?with_doc:-DURIPARSER_BUILD_DOCS=OFF} \
	%{!?with_tests:-DURIPARSER_BUILD_TESTS=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%if %{with static_libs}
%{__make} -C build-static install \
	DESTDIR=$RPM_BUILD_ROOT
%endif

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with doc}
# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/html
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog GOALS.txt README.md THANKS TODO.txt
%attr(755,root,root) %{_bindir}/uriparse
%attr(755,root,root) %{_libdir}/liburiparser.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liburiparser.so.1

%files devel
%defattr(644,root,root,755)
%if %{with doc}
%doc build/doc/html/*
%endif
%attr(755,root,root) %{_libdir}/liburiparser.so
%{_includedir}/uriparser
%{_libdir}/cmake/uriparser-%{version}
%{_pkgconfigdir}/liburiparser.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/liburiparser.a
%endif
%changelog
* Sun Apr 28 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/uriparser.git;a=log;h=master

* Sun Apr 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 49e0eae
- updated to 0.9.3, now uses cmake

* Tue Jan 08 2019 Jakub Bogusz <qboosh@pld-linux.org> 8a5343b
- updated to 0.9.1 (security fixes)

* Sat Oct 27 2018 Jakub Bogusz <qboosh@pld-linux.org> e910c8c
- updated to 0.9.0 (security fixes)

* Tue Sep 25 2018 Jakub Bogusz <qboosh@pld-linux.org> b75c4ba
- updated to 0.8.6 (includes crash fix)

* Sat Feb 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 64a3b2d
- new URLs, updated to 0.8.5
- updated doxygen patch

* Wed Oct 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 811af47
- updated to 0.8.4
- added doxygen patch (fix install with docs generated by recent doxygen)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 86c096b
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 79b6d58
- added THANKS to doc

* Mon Dec 22 2014 Łukasz Kieś <kiesiu@pld-linux.org> 61f6661
- updated to 0.8.1

* Wed Jan 08 2014 Jacek Konieczny <j.konieczny@eggsoft.pl> 453061d
- generated api doc made optional and moved to -devel

* Wed Dec 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 4419e3d
- revised BRs

* Mon Dec 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 437aea7
- updated to 0.8.0

* Fri Aug 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 329bd1a
- check-files cleanup

* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> b32f3d5
- removed unneeded comment lines

* Fri Aug 17 2012 Łukasz Kieś <kiesiu@pld-linux.org> 53fe79b
- updated to 0.7.7

* Fri Apr 03 2009 Jakub Bogusz <qboosh@pld-linux.org> 8cd5b2b
- proper pkgconfig package name

* Mon Mar 09 2009 lisu <lisu@pld-linux.org> 8504989
- .pc goes to pkgconfigdir
- BR: pkg-config always required

* Thu Mar 05 2009 lisu <lisu@pld-linux.org> 4659b62
- up to 0.7.5
- add tests bcond (enabled by default) - handling of cpp tests (BRs: ccptest-devel and pkg-config)
- BRs: doxygen, graphviz-devel (for docs)
- run ./configure manually in docs in order to create regular Doxyfile
- more docs

* Tue Dec 23 2008 lisu <lisu@pld-linux.org> 9c3c7d5
- 0.7.4

* Sun Nov 23 2008 Marcin Banasiak <marcin.banasiak@gmail.com> fef0bd2
- typo

